icu (62.1-1) experimental; urgency=medium

  * New major upstream release (closes: #907748).
  * Update Standards-Version to 4.2.1 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Build the native pass without libicu-le-hb-dev
    (closes: #906906).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 04 Sep 2018 20:49:13 +0000

icu (60.2-6) unstable; urgency=medium

  * Build with Paragraph Layout API.
  * Don't break OpenTTD anymore.
  * Remove multiarch of libicu-dev due to icu-config installed
    (closes: #898331).
  * Remove libstdc++-6-dev dependency on libicu-dev (closes: #892598).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 10 May 2018 15:14:59 +0000

icu (60.2-5) unstable; urgency=medium

  * Upload to Sid.
  * Break OpenTTD as this build is without Paragraph Layout API.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 09 May 2018 04:31:49 +0000

icu (60.2-4) experimental; urgency=medium

  * Install icu-config again.
  * Don't specify parallel to debhelper.
  * Update Standards-Version to 4.1.4 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 24 Apr 2018 16:45:42 +0000

icu (60.2-3) experimental; urgency=medium

  * Don't distclean in parallel (closes: #884898).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Dec 2017 08:49:27 +0000

icu (60.2-2) experimental; urgency=medium

  * Backport Calendar buffer overrun compatibility fix.
  * Remove outdated patches.
  * Update debhelper level to 11 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 18 Dec 2017 19:32:35 +0000

icu (60.2-1) experimental; urgency=high

  * New upstream release.
  * Build with ICU Layout Engine API (closes: #879820):
    - add libicu-le-hb-dev build dependency,
    - add libicu-le-hb-dev dependency to libicu-dev package,
    - update layout extension tests,
    - add libiculx to shlibs.
  * Remove icu-config manpage.
  * Backport fix for UTF-8->UTF-8 conversion overflow.
  * Update Standards-Version to 4.1.2 .

  [ Matthias Klose <doko@ubuntu.com> ]
  * Revert the upstream fix for #13104, requiring C++11 for some header files.
    The archive still has packages not ready for C++11, e.g. firebird3.0.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 Dec 2017 16:20:17 +0000

icu (60.1-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 01 Nov 2017 18:22:48 +0000

icu (59.1-3) experimental; urgency=medium

  * Refresh packaging:
    - drop outdated -dbg packages,
    - drop outdated NEWS file,
    - build with all hardening.
  * Fix spelling errors in upstream binaries and manpages.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Fix build with glibc-2.26 (closes: #879233).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 19 Oct 2017 21:50:55 +0000

icu (59.1-2) experimental; urgency=high

  * Backport upstream security fix for CVE-2017-14952: double free in
    createMetazoneMappings() .
  * Disable self-test failure on x86 architectures due to French locale
    problems.
  * Make libicu59-dbg package 'Multi-Arch: same'.
  * Update Standards-Version to 4.1.1:
    - change libicu59-dbg priority to optional,
    - change icu-devtools-dbg priority to optional.
  * Update debhelper level to 10:
    - remove autotools-dev build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Oct 2017 21:12:22 +0000

icu (59.1-1) experimental; urgency=low

  * New major upstream release.
  * Remove icu-config from libicu-dev :
    - make the package 'Multi-Arch: same' again (closes: #837898).
  * Don't fail on i386 self-tests, known problem.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 12 May 2017 15:34:54 +0000

icu (58.2-1) experimental; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 11 Dec 2016 14:02:13 +0000

icu (58.1-1) experimental; urgency=low

  * New major upstream release.
  * Drop old patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 22 Oct 2016 11:08:24 +0200

icu (57.1-4) unstable; urgency=high

  * Backport upstream fix for CVE-2016-0494: integer signedness issue in
    IndicRearrangementProcessor.
  * Backport upstream fix for CVE-2016-6293: the uloc_acceptLanguageFromHTTP
    function does not ensure that there is a '\0' character at the end of a
    certain temporary array.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 07 Sep 2016 22:17:44 +0000

icu (57.1-3) unstable; urgency=low

  * Update libicu-dev dependency of libstdc++-dev (closes: #833938).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 10 Aug 2016 16:57:09 +0000

icu (57.1-2) unstable; urgency=medium

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Implement cross build support again for debhelper packaging
    (closes: #833416).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 04 Aug 2016 04:57:45 +0000

icu (57.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Update Standars-Version to 3.9.8.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Aug 2016 20:49:39 +0200

icu (57.1-1) experimental; urgency=low

  * New major upstream release (closes: #804026).
  * Update package names due to soname bump.
  * Add icu-devtools debug package.
  * Drop CVE-2015-2632.patch as this release contains it.
  * Update patches.
  * Keep rebuildable.
  * Update Standars-Version to 3.9.7 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Move icu-config to a M-A:no package (closes: #776821).
    + Move icu-config from icu-devtools to libicu-dev.
    + Declare relevant Breaks and Replaces.
    + Remove Multi-Arch:same from libicu-dev.

  [ Guido Günther <agx@sigxcpu.org> ]
  * Add build and smoke autopkgtest (closes: #813338).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 27 Mar 2016 10:46:16 +0000

icu (55.1-7) unstable; urgency=high

  * Fix CVE-2015-2632 vulnerability.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Jan 2016 16:44:55 +0100

icu (55.1-6) unstable; urgency=low

  * Don't force libicu-dev to depend on g++ (closes: #799100, #799101).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Nov 2015 19:07:10 +0100

icu (55.1-5) unstable; urgency=high

  * Correct patch for CVE-2015-1270 (closes: #798647).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 11 Sep 2015 15:23:53 +0000

icu (55.1-4) unstable; urgency=low

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Support parallel building (closes: #794617).
  * Support cross compilation (closes: #784668).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 08 Aug 2015 10:39:07 +0000

icu (55.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build on hurd-i386 (Samuel Thibault). Closes: #794404.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Aug 2015 12:21:04 +0200

icu (55.1-3) unstable; urgency=high

  * Fix CVE-2015-1270 .
  * Add fixes for CVE-2014-6585.patch and CVE-2015-4760.patch .
  * Upload to unstable for GCC 5 transition (closes: #791072).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 02 Aug 2015 14:13:05 +0200

icu (55.1-2) experimental; urgency=low

  [ Matthias Klose <doko@debian.org> ]
  * Build using GCC 5.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Jul 2015 12:33:19 +0000

icu (55.1-1) experimental; urgency=low

  * New upstream release (closes: #779245).
  * Remove two-digit-year-test.patch , mlym-crash.patch and icu-config.patch
    as applied upstream.
  * Doesn't build with clang (closes: #778501).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 04 Apr 2015 07:57:47 +0000

icu (52.1-8) unstable; urgency=high

  * New maintainer (closes: #777694).
  * Update Standars-Version to 3.9.6 .

  [ Michael Gilbert <mgilbert@debian.org> ]
  * Apply a more complete fix for CVE-2014-7940 (closes: #780503).
    - Thanks to Marc Deslauriers.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 17 Mar 2015 11:14:15 +0000

icu (52.1-7.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Unfixed issue from the previous upload (closes: #776264)
    - CVE-2014-6585: out-of-bounds read.
  * Issues fixed in chromium 40.0.2214.91 (closes: #776265, #776719).
    - CVE-2014-7923: memory corruption in regular expression comparison.
    - CVE-2014-7926: memory corruption in regular expression comparison.
    - CVE-2014-7940: uninitialized memory in i18n/icol.cpp.
    - CVE-2014-9654: more regular expression handling issues.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 15 Feb 2015 22:19:14 +0000

icu (52.1-7) unstable; urgency=high

  * Patch to CVE-2014-6591, CVE-2014-6585 a font parsing bug.
    (Closes: #775884)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 21 Jan 2015 21:33:19 -0500

icu (52.1-6) unstable; urgency=medium

  * Ensure that only flags intended to be set by users make it into
    icu-config. Previously hardening flags were sneaking in there.
    (Closes: #759792)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 29 Sep 2014 09:59:09 -0400

icu (52.1-5) unstable; urgency=medium

  * Switch hardening back to dpkg-buildflags. It wasn't previously working
    but now is, probably because of other bugfixes that have happened in
    the mean time.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 26 Jul 2014 12:54:32 -0400

icu (52.1-4) unstable; urgency=medium

  * Fix test case that fails with gcc 4.9. Fix is from upstream. (Closes:
    #746860)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 21 Jun 2014 16:52:47 -0400

icu (52.1-3) unstable; urgency=medium

  * Add package dependency information to assist with upgrades in Ubuntu.
    This eliminates the need for a delta on the Ubuntu version of the
    package.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 24 Dec 2013 11:45:03 -0500

icu (52.1-2) unstable; urgency=low

  * Re-upload to unstable

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 03 Dec 2013 16:05:40 -0500

icu (52.1-1) experimental; urgency=low

  * New upstream release
  * Standards version 3.9.5 (no changes required)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 13 Nov 2013 16:20:40 -0500

icu (52~m1-2) experimental; urgency=low

  * Updated year in copyright file
  * Standards version 3.9.4 (no changes required)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 15 Sep 2013 09:02:30 -0400

icu (52~m1-1) experimental; urgency=low

  * New upstream release
  * Fixed debian/watch file based on new version numbering
  * Various bugs have been fixed upstream.  (Closes: #712501, #690156)
  * Avoid packaging debugging library for libicudata since it has no
    debugging symbols in it.  (Closes: #698696)
  * Clarify some ambiguous language in the copyright file, and address the
    issue of derived data from an IETF RFC that does not actually appear
    in the sources.  (Closes: #721590)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 14 Sep 2013 20:52:27 -0400

icu (4.8.1.1-14) unstable; urgency=high

  * Acknowledge NMU.  Thanks.
  * Update standards version to 3.9.5.  No changes required.
  * No changes other than version numbers; uploading with urgency=high.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 13 Nov 2013 16:19:32 -0500

icu (4.8.1.1-13+nmu1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2013-2924: use-after-free issue in csrucode.cpp (closes: #726477).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 27 Oct 2013 03:49:58 +0000

icu (4.8.1.1-13) unstable; urgency=low

  * Multi-arch libicu-dev.  Thanks Dmitrijs Ledkovs
    <dmitrij.ledkov@ubuntu.com>!  (Closes: #699763)
  * Mark doxygen as architecture-independent build dependency.
    (Closes: #706795)
  * Depend on autotools-dev to update config.guess

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 21 Aug 2013 20:01:15 -0400

icu (4.8.1.1-12) unstable; urgency=high

  * Add patch to address CVE-2013-0900, a threading race condition.
    (Closes: #702346)

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 21 Mar 2013 11:29:08 -0400

icu (4.8.1.1-11) unstable; urgency=medium

  * Fix crash on rendering incremental Malayalam text input.  Thanks Colin
    Watson. (Closes: #702982)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 16 Mar 2013 14:58:15 -0400

icu (4.8.1.1-10) unstable; urgency=low

  * Include pkg-config files in dev package.  Thanks Tommi Vainikainen.
    (Closes: #687339)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 17 Nov 2012 14:37:40 -0500

icu (4.8.1.1-9) unstable; urgency=low

  * debian/rules: Use xz compression for binary packages.
    (Closes: #683901)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 11 Aug 2012 12:41:28 -0400

icu (4.8.1.1-8) unstable; urgency=low

  * Switch hardening back to hardening-wrapper again since otherwise some
    things sneak into icu-config's output.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 05 Jun 2012 14:27:27 -0400

icu (4.8.1.1-7) unstable; urgency=low

  * Switch hardening back to dpkg-buildoptions.
  * Fix doc install for newer doxygen.  (Closes: #674382)

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 24 May 2012 13:55:13 -0400

icu (4.8.1.1-6) unstable; urgency=low

  * Remove 32-bit packages built on 64-bit architectures, and enable
    Multiarch.  (Closes: #665416)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 22 Apr 2012 08:40:16 -0400

icu (4.8.1.1-5) unstable; urgency=low

  * Enable security hardening flags.  Thanks to Simon Ruderich for doing
    100% of the work, sending a clean patch, and providing clear
    instructions on how to verify.  (Closes: #663601)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 23 Mar 2012 22:45:55 -0400

icu (4.8.1.1-4) unstable; urgency=low

  * Add patch to add CCMP support for Indic.  (Closes: #655101)
  * Update standards version.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 11 Mar 2012 18:30:29 -0400

icu (4.8.1.1-3) unstable; urgency=high

  * Add patch to address CVE-2011-4599, a potential buffer overflow.
    (Closes: #654883)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 21 Jan 2012 19:44:44 -0500

icu (4.8.1.1-2) unstable; urgency=low

  * debian/patches/icudata-stdlibs.patch: Link stdlibs to libicudata so we
    get reasonably sane ELF headers on armhf.  Thanks Adam Conrad
    <adconrad@ubuntu.com>.  (Closes: #653457)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 04 Jan 2012 09:52:11 -0500

icu (4.8.1.1-1) unstable; urgency=low

  * New upstream release
  * Add simple patch to define PATH_MAX when not defined.  Not an ideal
    solution, but it will do for now.  (Closes: #643661)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 09 Nov 2011 09:59:08 -0500

icu (4.8.1-2) experimental; urgency=low

  * Fix 64-bit kfreebsd configure problem.  Thanks Petr Salinger.
    (Closes: #630517)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 10 Sep 2011 08:17:58 -0400

icu (4.8.1-1) experimental; urgency=low

  * New upstream release
  * Remove 32-bit source directory on clean.  (Closes: #630514)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 03 Sep 2011 10:14:57 -0400

icu (4.8-1) experimental; urgency=low

  * New upstream release
  * Upstream release includes fix to RegexMatch crash (Closes: #606886)
  * Updated standards to 3.9.2; no changes required

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 28 May 2011 11:30:22 -0400

icu (4.4.2-2) unstable; urgency=low

  * Apply patch to fix Malayam rendering.  (Closes: #591615)

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 25 Nov 2010 12:51:18 -0500

icu (4.4.2-1) unstable; urgency=low

  * New upstream release
  * Updated standards version to 3.9.1; no changes required

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 17 Oct 2010 11:06:20 -0400

icu (4.4.1-7) testing-proposed-updates; urgency=high

  * Apply patch to fix Malayam rendering.  (Closes: #591615)

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 25 Nov 2010 12:07:26 -0500

icu (4.4.1-6) unstable; urgency=low

  * Include patch from Alexander Kurtz to solve failure to build from
    source resulting from doxygen generating different files.  (Closes:
    #590393)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 28 Jul 2010 18:44:01 -0400

icu (4.4.1-5) unstable; urgency=low

  * Include patch from upstream to fix arm assembler bug.  Thanks to Adam
    Barratt for finding the fix.  (Closes: #589076)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 17 Jul 2010 07:30:22 -0400

icu (4.4.1-4) unstable; urgency=low

  * Re-upload to unstable
  * Remove conficts and replaces for packages that have been gone since
    before the release of lenny
  * Updated standards version to 3.9.0

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 11 Jul 2010 12:19:00 -0400

icu (4.4.1-3) experimental; urgency=low

  * Replace my patch with a complete fix from upstream.  The fix in the
    previous upload behaves identically in a debian environment, but it's
    better to track with upstream.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 22 May 2010 08:32:48 -0400

icu (4.4.1-2) experimental; urgency=low

  * Increase buffer sizes in pkgdata.  Prevents bus errors in kfreebsd and
    undetected overruns everywhere else.  (Closes: #581174)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 21 May 2010 21:56:34 -0400

icu (4.4.1-1) experimental; urgency=low

  * New upstream release
  * Removed kfreebsd patch as kfreebsd works out of the box now, according
    to upstream.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 01 May 2010 10:45:04 -0400

icu (4.4-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 09 Apr 2010 22:27:30 -0400

icu (4.4~rc1-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 06 Mar 2010 11:54:54 -0500

icu (4.3.4-1) experimental; urgency=low

  * New upstream release
  * Upstream release includes change of static library names to be
    consistent with normal standards.  (Closes: #469454)
  * Updated standards to 3.8.4.  No changes needed.
  * Updated source format to '3.0 (quilt)'

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 06 Feb 2010 16:55:29 -0500

icu (4.2.1-3) unstable; urgency=low

  * Change install-doc target to not fail if there are subdirectories of
    doc/html.  This is necessary to handle the doc/html/search directory
    created by doxygen 3.6.1.  (Closes: #544799)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 04 Sep 2009 11:56:06 -0400

icu (4.2.1-2) unstable; urgency=low

  * Added missing 4.0.1-4 entry to changelog.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 19 Aug 2009 21:58:56 -0400

icu (4.2.1-1) unstable; urgency=low

  * New upstream release
  * Updated standards version to 3.8.3.  No changes required.
  * First unstable upload to not use tarball in tarball packaging.
    (Closes: #538560)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 19 Aug 2009 17:11:40 -0400

icu (4.2.1~rc1-3) experimental; urgency=low

  * More aggressive fix to invalid object files being written by pkgdata.
    This is a temporary fix until upstream provides a better one.
    (Closes: #530568)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 28 Jun 2009 09:57:40 -0400

icu (4.2.1~rc1-2) experimental; urgency=low

  * Bug 530568 is not fixed.  Add some debugging code.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 27 Jun 2009 09:34:16 -0400

icu (4.2.1~rc1-1) experimental; urgency=low

  * New upstream release
  * Fixed bug in pkgdata that was causing build failures on most
    platforms. (Closes: #530568)
  * Removed /emul/ia32-linux stuff. (Closes: #533850)
  * Updated standards version to 3.8.2

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 26 Jun 2009 22:12:55 -0400

icu (4.0.1-4) unstable; urgency=high

  * Added conflicts on older versions of libc6-i386 for 32-bit versions of
    the libraries installed on 64-bit systems.  (Closes: #538836)

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 04 Aug 2009 08:54:45 -0400

icu (4.0.1-3) unstable; urgency=low

  * Removed /emul/ia32-linux stuff. (Closes: #533850)
  * Updated standards version to 3.8.2
  * Fixed section of -dbg package

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 26 Jun 2009 22:12:06 -0400

icu (4.2-1) experimental; urgency=low

  * New upstream release
  * Updated standards to 3.8.1: no changes required.
  * Removed arm workarounds since the underlying problem has been fixed
    upstream and arm is no longer supported anyway.
  * Now that upstream has removed obsolete debian directory, this package
    no longer uses tarball-in-tarball packaging.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 24 May 2009 09:35:30 -0400

icu (4.0.1-2) unstable; urgency=low

  * Include work-around from 3.8.1-3, inadvertently omitted from 4.0.1-1.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 08 Mar 2009 09:39:51 -0400

icu (4.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #516674)
  * Create README.source, convert patch system to quilt, update standards
    version to 3.8.0
  * Applied patch for compilation under gcc 4.4.  This has also been fixed
    upstream.  (Closes: #505371)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 07 Mar 2009 19:19:39 -0500

icu (3.8.1-3) unstable; urgency=medium

  * Work around gcc internal error on armel.  Temporary until bug 484053
    is resolved.

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 10 Jul 2008 14:25:30 -0400

icu (4.0-1) experimental; urgency=low

  * New upstream release
  * Remove setBreakType patch.  See
    http://bugs.icu-project.org/trac/ticket/5498 for a discussion.  Based
    on this report, and looking at the OpenOffice.org bug tracking system,
    it seems that this is no longer needed by OpenOffice.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 08 Jul 2008 12:08:13 -0400

icu (4.0~d3-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 27 Jun 2008 22:23:10 -0400

icu (3.8.1-2) unstable; urgency=low

  * Patch from Harshula to fix split conjuncts problem in
    Sinhala. (Closes: #483563)
  * Force structures to be padded at byte boundaries (rather than 32-bit
    boundaries) on arm. (Closes: #484138)
  * Update doc-base section.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 07 Jun 2008 13:09:07 -0400

icu (3.8.1-1) unstable; urgency=low

  * New upstream release
  * Patch to support GNU/kFreeBSD.  Thanks Aurelien Jarno.  (Closes:
    #461782)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 11 Feb 2008 20:11:00 -0500

icu (3.8-6) unstable; urgency=high

  * Add debian/patches/00-cve-2007-4770-4771.patch created from with
    svn diff -c 23292 \
    http://source.icu-project.org/repos/icu/icu/branches/maint/maint-3-8
    to address the following security vulnerablilities:
     - CVE-2007-4770: reference to non-existent capture group may
       cause access to invalid memory
     - CVE-2007-4771: buffer overflow in regexcmp.cpp
    (Closes: #463688)
  * Updated standards version to 3.7.3: no changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 07 Feb 2008 12:58:34 -0500

icu (3.8-5) unstable; urgency=low

  * Filter out extraneous dependencies among different versions of the
    library packages. (Closes: #451767, 451978)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 01 Dec 2007 09:47:32 -0500

icu (3.8-4) experimental; urgency=low

  * Include changes from 3.6-10.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 18 Nov 2007 11:04:16 -0500

icu (3.6-10) unstable; urgency=low

  * It appears that amd64 requires 32-bit libraries to be in
    /emul/ia32-linux/usr/lib instead of /usr/lib32.  Following zlib's
    example of moving them around for amd64 only. (Closes: #451495)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 18 Nov 2007 11:03:10 -0500

icu (3.8-3) experimental; urgency=low

  * Include changes from 3.6-9.
  * Include -dbg package with unstripped versions of the libraries.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 17 Nov 2007 15:02:36 -0500

icu (3.6-9) unstable; urgency=low

  * Yet another 32-bit library fix.  Files were installed in /32 because
    of the debian/tmp32 thing.  How did this ever work? (Closes: #451495)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 17 Nov 2007 12:12:18 -0500

icu (3.8-2) experimental; urgency=low

  * Include changes from 3.6-8.  (Closes: #448747)

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 06 Nov 2007 20:58:09 -0500

icu (3.6-8) unstable; urgency=low

  * Clean up 32-bit library patch to avoid excessive and unnecessary runs
    of configure. (Closes: #447771)
  * make setBreakType public in rbbi.h; needed by OpenOffice.org.  This
    patch is included in OpenOffice.org's internal ICU.  Including it here
    allows OpenOffice.org to continue to use this ICU package.  Thanks
    Rene Engelhard.  (Closes: #448745)
  * Rename debian/watch.not-yet to debian/no-watch so it won't get picked
    up even though it's not supposed to.  ICU's ftp site uses a structure
    that isn't supported by uscan.  (Closes: #449701)

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 06 Nov 2007 20:56:38 -0500

icu (3.8-1) experimental; urgency=low

  * New upstream release.  All previously included patches have been
    incorporated into upstream.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 20 Oct 2007 11:53:32 -0400

icu (3.6-7) unstable; urgency=low

  * Fix bug in which 32-bit library installs were overwriting files for
    64-bit libraries on amd64.  Thanks Robert Millan for the patch.
    (Closes: #447275)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 20 Oct 2007 11:30:12 -0400

icu (3.6-6) unstable; urgency=low

  * Oops: fixed one more problem with 32-bit builds on a 64-bit platform.
    Thanks Aaron Ucko.  (Closes: #398778)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 17 Sep 2007 15:19:59 -0400

icu (3.6-5) unstable; urgency=low

  * Add additional Build-Depends for 64-bit platforms.  Thanks Robert
    Millan.  (Closes: #398778)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 17 Sep 2007 10:42:32 -0400

icu (3.6-4) unstable; urgency=low

  * Accepted patch from Robert Millan (with very slight, mostly cosmetic
    modifications) to build 32-bit libraries on 64-bit architectures.
    Many thanks to Robert Millan for supplying this patch!  (Closes:
    #398778)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 15 Sep 2007 21:42:33 -0400

icu (3.8~d01-1) experimental; urgency=low

  * New upstream release
  * Configure with weak reference to thread library.  (Closes: #389260)
  * The development package no longer has the library soname in its name.
    It is now just libicu-dev.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 04 Aug 2007 11:04:49 -0400

icu (3.6-3) unstable; urgency=low

  * Include patch from Samuel Thibault to allow icu to build on gnu hurd.
    (Closes: #414446)

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 10 Jul 2007 17:31:56 -0400

icu (3.6-2) unstable; urgency=low

  * Include patch to fix error in IndicClassTables to fix
    worstCaseExpansion for Sinhala.  Thanks to Harshula for forwarding
    this.

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 27 Nov 2006 21:19:09 -0500

icu (3.6-1) unstable; urgency=low

  * New upstream release
  * Provide libicu34-dev since ICU 3.6 provides backward compatible
    interfaces in addition to new ones.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 19 Sep 2006 12:10:41 -0400

icu (3.6~d02-1) experimental; urgency=low

  * New upstream release.
  * Remove special optimization hack to work around now-fixed m68k build
    problems.  (Closes: #360743)
  * Update standards version.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 15 Aug 2006 16:34:34 -0400

icu (3.4.1a-1) unstable; urgency=low

  * Upstream re-released 3.4.1 without changing the version number because
    the header file with 3.4.1 still said it was 3.4.  Unfortunately, the
    debian 3.4.1 package had already been uploaded.  This "3.4.1a" release
    now matches upstream's 3.4.1.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 29 Mar 2006 22:19:08 -0500

icu (3.4.1-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Fri,  3 Mar 2006 23:07:52 -0500

icu (3.4-4) unstable; urgency=low

  * Build with g++ 4.0 with -fno-strict-aliasing to work around g++ 4.0
    bugs that impact ICU.  Future versions should work properly with the
    latest g++ without any special flags.  (Closes: #342970)
  * Enable static libraries.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 22 Jan 2006 11:36:59 -0500

icu (3.4-3) unstable; urgency=low

  * Explicitly build with g++ 3.4.  The current ICU fails its test suite
    with 4.0 but not with 3.4.  Future versions should work properly with
    4.0.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 19 Nov 2005 11:29:31 -0500

icu (3.4-2) unstable; urgency=low

  * Remove some extraneous build steps that may cause problems with
    autobuilders.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 13 Aug 2005 12:41:35 -0400

icu (3.4-1) unstable; urgency=low

  * New upstream release
  * Completely new packaging

 -- Jay Berkenbilt <qjb@debian.org>  Fri,  5 Aug 2005 21:57:15 -0400

icu (2.1-3) unstable; urgency=low

  * New maintainer as per discussion with Ivo.
  * g++ 4.0 transition: libicu21c102 is now libicu21c2.
  * Accepted changes from NMU below for now.  This change will be
    reversed soon when icu is updated to the current upstream version.
    The icu28 package will also be removed at that time, as per discussion
    with the icu28 maintainer.  Closes: #301316
  * Add shlibs files

 -- Jay Berkenbilt <qjb@debian.org>  Sat,  9 Jul 2005 13:33:35 -0400

icu (2.1-2.1) unstable; urgency=medium

  * Rename icu-doc to icu21-doc. icu-doc is built by the icu28 package.

 -- Matthias Klose <doko@debian.org>  Sat, 21 May 2005 22:44:31 +0200

icu (2.1-2) unstable; urgency=low

  * debian/control: Changed maintainer, added Daniel Glassey as Uploader.
    (Reference:
    http://lists.debian.org/debian-devel/2003/debian-devel-200308/msg01963.html)

 -- Ivo Timmermans <ivo@debian.org>  Sun, 18 Jan 2004 23:52:03 +0100

icu (2.6.1-1) experimental; urgency=low

  * New upstream version.
  * Ivo Timmermans:
      * debian/rules Don't create arch-all packages in the binary-arch
        target.  Closes: #184403

 -- Ivo Timmermans <ivo@debian.org>  Thu,  6 Nov 2003 09:03:44 +0100

icu (2.6-1) experimental; urgency=low

  * New upstream version. Closes: #162975
  * debian/control: New maintainers
  * Daniel Glassey:
      * debian/rules Don't use --enable-static as it bloats the packages
      * debian/rules Change the optimisations to -O3 and -O to get it to build
      * debian/rules get the latest config.{sub,guess} from /usr/share/misc
        so add build-dep on autotools-dev
      * debian/postinst gencnval is now in {prefix}/bin
  * Ivo Timmermans:
      * debian/control Tightened debhelper build dependency
      * debian/control Update Standards-Version

 -- Daniel Glassey <wdg@debian.org>  Wed,  3 Sep 2003 12:39:35 +0200

icu (2.1-1.2) unstable; urgency=low

  * NMU.
  * Updated source/config.{sub,guess}.  Closes: #182697

 -- Ivo Timmermans <ivo@debian.org>  Fri,  7 Mar 2003 20:58:23 +0100

icu (2.1-1.1) unstable; urgency=low

  * NMU.
  * debian/control: Go through G++ ABI transition. Closes: #180124
  * source/common/unicode/docmain.h: Fix \mainpage and \section tags,
    so doxygen doesn't get confused any more. Closes: #178344
  * debian/copyright: Added upstream URL. Closes: #165780

 -- Ivo Timmermans <ivo@debian.org>  Fri, 14 Feb 2003 15:21:56 +0100

icu (2.1-1) unstable; urgency=low

  * ICU 2.1 release.
  * Changed the icu package description. Closes: 142886
  * Use -O1 for CXXFLAGS for OS/390. Closes: 143021

 -- Yves Arrouye <yves@debian.org>  Mon, 15 Apr 2002 14:03:12 -0700

icu (2.0.2-1) unstable; urgency=low

  * Minor release of ICU with fixes for threading and strTo/FromWCS

 -- Yves Arrouye <yves@debian.org>  Tue,  2 Apr 2002 09:06:00 -0800

icu (2.0-2.1pre20020318-1) unstable; urgency=low

  * Use the library number in the development package too.
  * ICU changed to version 2.1.

 -- Yves Arrouye <yves@debian.org>  Tue, 19 Mar 2002 18:38:37 -0800

icu (2.0-2.1pre20020303-1) unstable; urgency=low

  * Fixed a crash in uconv when no argument is passed to -f or -t.
  * Other upstream changes.
  * Fresh upload with an up to date orig tar file so that future
    diffs won't be 6 megabytes long!

 -- Yves Arrouye <yves@debian.org>  Sun,  3 Mar 2002 15:31:13 -0800

icu (2.0-2.1pre-1) unstable; urgency=low

  * Prerelease of 2.1 with a working upgraded uconv(1).

 -- Yves Arrouye <yves@debian.org>  Fri,  1 Mar 2002 21:51:47 -0800

icu (2.0-3) unstable; urgency=low

  * Renamed doc-base to icu-doc.doc-base. Closes: 127487

 -- Yves Arrouye <yves@debian.org>  Fri, 18 Jan 2002 22:33:53 -0800

icu (2.0-2) unstable; urgency=low

  * Fixed a bug in uprv_uca_cloneTempTable().  Closes: 128484
  * Update Debian bugs status.  Closes: 104642
  * Use the official 2.0 tarball as the original tar.
  * Added manual pages for every tool.

 -- Yves Arrouye <yves@debian.org>  Wed, 16 Jan 2002 20:45:42 -0800

icu (2.0-1) unstable; urgency=low

  * Update to ICU version 2.0.

 -- Yves Arrouye <yves@debian.org>  Sat, 10 Nov 2001 21:58:19 -0800

icu (1.8.1-2) unstable; urgency=low

  * Updated copyright file. Closes: 112488
  * Updated icu-locales description. Closes: 75499

 -- Yves Arrouye <yves@debian.org>  Sat, 10 Nov 2001 21:24:58 -0800

icu (1.8.1-1.1) unstable; urgency=low

  * NMU to resolve build failures on ia64 and (hopefully) hppa.
  * config.{sub|guess} update
  * source/tools/ctestfw/ctest.c: Add static declaration to global
    variables local to that module to avoid @gprel relocation errors.
    Closes: 104642

 -- Yves Arrouye <yves@debian.org>  Sat, 10 Nov 2001 21:24:44 -0800

icu (1.8.1-1) unstable; urgency=low

  * Update to ICU version 1.8.1.

 -- root <yves@debian.org>  Mon, 21 May 2001 15:27:36 -0700

icu (1.7-1) unstable; urgency=low

  * Update to ICU version 1.7.

 -- Yves Arrouye <yves@debian.org>  Tue, 21 Nov 2000 22:54:52 -0800

icu (1.6.0.1-20001113-2) unstable; urgency=low

  * New snapshot with better ISO-2022.

 -- Yves Arrouye <yves@debian.org>  Mon, 13 Nov 2000 21:05:00 -0800

icu (1.6.0.1-20001027-1) unstable; urgency=low

  * Move architecture-dependent files into /usr/lib, instead of
    /usr/share.
  * Move convrtrs.txt into /etc/icu, make it a conffile, and generate
    /usr/lib/icu/1.6.0.1/cnvalias.dat from it at postinst time.
  * Manage a /usr/lib/icu/current symbolic link across installations
    of the libicuXX packages. The symlink will always point to the
    highest numbered version of ICU.

 -- Yves Arrouye <yves@debian.org>  Fri, 27 Oct 2000 15:40:12 -0700

icu (1.6.0.1-20001017-1) unstable; urgency=low

  * Initial Release.

 -- Yves Arrouye <yves@debian.org>  Tue, 24 Oct 2000 16:14:12 -0700
